SyncML Command Internals
libsyncml API Internals » Low Level API Internals

The private part. More...

Collaboration diagram for SyncML Command Internals:

## Data Structures

struct | SmlCommandAlertPrivate
struct | SmlCommandSyncPrivate
struct | SmlCommandAccessPrivate
struct | SmlCommandChangePrivate
struct | SmlCommandMapPrivate
struct | SmlCommandResultsPrivate
union | SmlCommandPrivate
struct | SmlCommand
struct | SmlStatus

## Typedefs

typedef struct SmlCommandAlertPrivate | SmlCommandAlertPrivate
typedef struct SmlCommandSyncPrivate | SmlCommandSyncPrivate
typedef struct SmlCommandAccessPrivate | SmlCommandAccessPrivate
typedef struct SmlCommandChangePrivate | SmlCommandChangePrivate
typedef struct SmlCommandMapPrivate | SmlCommandMapPrivate
typedef struct SmlCommandResultsPrivate | SmlCommandResultsPrivate
typedef union SmlCommandPrivate | SmlCommandPrivate

## Functions

SmlCommandType | smlCommandTypeFromString (const char *name, SmlError **error)
const char * | smlCommandTypeToString (SmlCommandType type, SmlError **error)
SmlAlertType | smlAlertTypeConvert (unsigned int id, SmlError **error)

## Detailed Description

The private part.